HTTP-4000.2.17: A library for client-side HTTP

Portability | non-portable (not tested)
Stability | experimental
Maintainer | Ganesh Sittampalam <ganesh@earth.li>
Safe Haskell | None

Network.StreamDebugger

Description

Implements debugging of `Stream`s. Originally part of Gray's\/Bringert's HTTP module.

- Changes by Robin Bate Boerop robin@bateboerop.name: - Created. Made minor formatting changes.

Synopsis

- data StreamDebugger x
- debugStream :: Stream a => FilePath -> a -> IO (StreamDebugger a)
- debugByteStream :: HStream ty => FilePath -> HandleStream ty -> IO (HandleStream ty)

# Documentation

data StreamDebugger x

Allows stream logging. Refer to `debugStream` below.

Instances

Stream x => Stream (StreamDebugger x) |

debugStream :: Stream a => FilePath -> a -> IO (StreamDebugger a)

Wraps a stream with logging I/O. The first argument is a filename which is opened in `AppendMode`.

debugByteStream :: HStream ty => FilePath -> HandleStream ty -> IO (HandleStream ty)